create view SHIP_DYNAMICS as
select db.result_foreign_ship_name,rm.material_name,actr.result_date_of_loans,actr.RESULT_NUMBER_OF_LOANS,rp.port_name,wgm.gm_tonnage,rc.capacity_number,
tlsr.RESULT_ACTUAL_INSTALLATIONS,tlsr.RESULT_OUT_PORT_TIME,tsl.LOCATION_STATUS,tsl.LOCATION_VALUE
from DIL_BATCH db
join rms_material rm on db.material_id=rm.material_id
left join AMSSHIP_CARGO_TRANSFER_RESULT actr on db.batch_id=actr.batch_id
left join AMSSHIP_DELIVERY_NOTICE adn on adn.batch_id=db.batch_id
left join rms_port rp on rp.port_id=adn.port_id
left join WMSH_GRID_MATERIAL wgm on wgm.batch_id=db.batch_id
left join TMSSHIP_LOAD_SHIP_RESULT tlsr on db.batch_id=tlsr.batch_id
left join tmsship_total_result ttr on ttr.result_id=tlsr.result_id
left join omsship_instructions_capacity oic on ttr.order_id=oic.instructions_capacity_id
left join rms_capacity rc on oic.capacity_id=rc.capacity_id
left join (select * from tmsship_ship_location t where t.location_id in
(SELECT
	t.location_id
FROM
	(
		SELECT
				t.location_id,
				t.total_result_id,
				t.location_route_time,
				ROW_NUMBER () OVER (
						PARTITION BY t.total_result_id
						ORDER BY t.location_route_time DESC
				) AS rn
		FROM
				tmsship_ship_location t
	) t
WHERE
	rn = 1)) tsl on tsl.total_result_id=ttr.result_id
where ttr.ship_status=0
/

